Linux的天赋在于社区，而非技术
================================================================================
> Linux从未兑现最初的承诺---作为一款传统的桌面操作系统。然而在2013年中，在社区的驱动下，它变得无处不在。

![IMG](http://readwrite.com/files/styles/1400_0/public/linus_torvalds.jpg)

2013年，从各方面看，都是属于Linux的一年。Linux基金会执行董事Jim Zemlin宣布Linux的已经普及到了运算的每一个角落。“从智能手机，平板电脑，消费电器和汽车，到开放云和高性能计算机，以及游戏平台等，是Linux一直是几乎无处不在的，” [Zemlin 说到][1]。

Linux是如何蔓延到技术世界的每一个角落？毕竟，Linux并未真正实现其最初的承诺---成为一款取代Microsoft和Windows的传统的桌面操作系统。内核和代码都只是这个故事的一部分，Linux的无所不在归结为它在激发和凝聚社区方面的能力，而非出众的技术。

### 足够好，但仍然有一些缺陷 ###

话虽如此，我们并非认为如果技术较为落后，Linux仍旧会取得今天的成就。正如甲骨文公司的负责Linux、MySQL和虚拟化和开源产品营销的高级主管莫妮卡·库马尔[所说][2]，“没有卓越的技术，优越的社会就不会团结在Linux操作系统周围。” 这是任何成功的开源项目的 [关键组件之一][3]，即伟大的初始代码。

然而，这还不够！

当刚被推出的时候，Linux是一个廉价的，“足够好”的替代专有UNIX的系统。但是，并未做到更好。事实上，在最早开发Linux后的10多年间，[InfoWorld仍能令人信服地声称][4]，“作为UNIX的变种，相比于Linux操作系统，Solaris是技术优越的操作系统”。UNIX，毕竟是定位于一个相对狭窄的应用程序和硬件类型，允许其供应商针对特定的任务来深度优化它的性能。

[正如IBM所解释的那样][5]，Linux恰恰相反：

> GNU / Linux的发展...比UNIX更加多样化。开发人员来自许多不同的背景，因此有不同的经验和想法。在Linux社区内部，目前还没有一套严格的标准的工具，环境和功能....由于缺乏标准，导致Linux中出现明显的不一致性。

有趣的是，这也赋予了Linux最大的优势：适用于所有用户的能力。

### 为何社区喜爱Linux ###

但为什么是Linux？考虑到当Linux推出时，对于大多数任务来说，只是勉强足够使用，是什么促使一个社区形成的？Ubuntu Linux制造商Canonical的OEM部门主管，Brent Fox，认为相对于失败的风险，一个公共平台的回报更加诱人。

> [@mjasay][6] 在很长一段时间内，该技术本身是不成熟的。这对于已经厌烦现在的OS的人们是一种吸引力，它吸引了一大群人
> — Brent Fox (@brentfox) [December 19, 2013][7]

这些基本上来说是对的，但它与历史并不完全相符。毕竟，Linux的最早倡导者之一，是一个有庞大的UNIX的业务需要保护的公司：IBM。IBM需要Linux来统一其不同的硬件线路，并且看到了在Linux上搭建一个更大的硬件和服务业务的潜力，即使以某些UNIX的收入为代价。

现如今，Linux成为许多数十亿美元级别公司的心脏。就如["Who Writes Linux?"报告反映][8]的，Linus Torvalds的这个小玩具已经成为世界上一些大公司和最好的开发者关注的焦点。 

### 通过多样性所获得的优势 ... 以及Linus ###

控制冲突的能力，以及有时在一面旗帜下控制竞争利益的能力使得Linux变得如此成功。它促使不同的公司和个人开发者通过塑造Linux来满足他们的需求。正如Apache软件基金会主席吉姆[Jagielski告诉我的那样][9]，和建立一个健康的可行的社区相比，“建立内核较为容易，Linux之所以能够成功，是因为它有一个成功的社区。”

寻求和发现Linux成功之处的顶级Linux开发赞助商名单：

![](http://readwrite.com/files/Screen%20Shot%202013-12-19%20at%208.58.36%20AM.png)

支撑这种多样性的是[Linus Torvald的非凡的领导][10]“。由于许多人试图令Linux私有化，托沃兹已经设法让由他的权威所支持的Linux对这种行为说“不”。它工作得很好，但拥有足够的弹性，来让公司提供驱动程序或其他技术，使得Linux非常适合他们的客户。

Linux技术尽管已经变得如此神奇，然而，它并非Linux的最大优势。正如Zemlin在电子邮件中告诉我的那样：

> 这些天，我并没有得到许多关于Linux的询问，尽管到处都在使用它。许多公司想知道如何最大限度地发挥它的性能以及如何将它的原理应用于其他的事情。这便是我所感兴趣的问题：社区是如何工作的。

伟大的技术一直都在被创造。然而大多数都没能找到观众。Linus Torvalds以及他所塑造的Linux发展的天赋在于，他所开创和完善的社会发展模式。

--------------------------------------------------------------------------------

via: http://readwrite.com/2013/12/19/the-genius-of-linux-is-community-not-technology#feed=/hack

译者：[tomatoKiller](https://github.com/tomatoKiller) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxfoundation.org/news-media/blogs/browse/2013/12/2013-year-linux-the%E2%80%A6everything
[2]:https://twitter.com/mbkumar/status/413689410308173825
[3]:http://asay.blogspot.com/2005/09/so-you-want-to-build-open-source.html
[4]:http://www.infoworld.com/t/platforms/seven-ways-solaris-can-beat-linux-978
[5]:http://www.ibm.com/developerworks/aix/library/au-unix-difflinux.html
[6]:https://twitter.com/mjasay
[7]:https://twitter.com/brentfox/statuses/413696557620293632
[8]:http://www.linuxfoundation.org/publications/linux-foundation/who-writes-linux-2013
[9]:https://twitter.com/jimjag/status/413704747791970304
[10]:http://readwrite.com/2013/08/27/linux-turns-22-but-open-source-is-eternal
